/**
 * Copyright  Sergey Melnik (Stanford University, Database Group)
 *
 * All Rights Reserved.
 */

package org.w3c.rdf.util;

import org.w3c.rdf.model.*;
import org.w3c.rdf.model.impl.*;
import org.w3c.rdf.syntax.*;
import org.w3c.rdf.syntax.sirpac.*;

/**
 * A default implementation of the RDFFactory interface.
 *
 * @author Sergey Melnik <melnik@db.stanford.edu>
 */

public class RDFFactoryImpl implements RDFFactory {

  //  static SchemaRegistry registry;

  /*
  public SchemaRegistry registry() {
    if(registry == null)
      registry = new SchemaRegistryImpl( this );
    return registry;
  }
  */

  public RDFParser createParser() {
    
    SiRPAC parser = new SiRPAC();
    parser.setRobustMode(true);
    return parser;
  }

  public RDFSerializer createSerializer() {
    
    return new SiRS();
  }

  public Model createModel() {

    return new ModelImpl();
  }

  /*
  public SchemaModel createSchemaModel(Model m) {

    if(m instanceof SchemaModel)
      return (SchemaModel)m;
    return new SchemaModelImpl( (SchemaRegistryImpl)registry(), m );
  }
  */  
}
